Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ui.part
Class FileEditorInput

    java.lang.Object
      org.eclipse.ui.part.FileEditorInput

All Implemented Interfaces:
  IAdaptable, IEditorInput, IFileEditorInput, IPathEditorInput, IPersistableElement, IStorageEditorInput

Direct Known Subclasses:
  FileInPlaceEditorInput

public class FileEditorInput
extends Object
implements IFileEditorInput, IPathEditorInput, IPersistableElement

Adapter for making a file resource a suitable input for an editor.

This class may be instantiated; it is not intended to be subclassed.

Constructor Summary
`FileEditorInput(IFile file)` Creates an editor input based of the given file resource.

Method Summary
`boolean` | `equals(Object obj)`
`boolean` | `exists()` Returns whether the editor input exists.
`Object` | `getAdapter(Class adapter)` Returns an object which is an instance of the given class associated with this object.
`String` | `getFactoryId()` Returns the id of the element factory which should be used to re-create this object.
`IFile` | `getFile()` Returns the file resource underlying this editor input.
`ImageDescriptor` | `getImageDescriptor()` Returns the image descriptor for this input.
`String` | `getName()` Returns the name of this editor input for display purposes.
`IPath` | `getPath()` Returns the local file system path of the file underlying this editor input.
`IPersistableElement` | `getPersistable()` Returns an object that can be used to save the state of this editor input.
`IStorage` | `getStorage()` Returns the underlying IStorage object.
`String` | `getToolTipText()` Returns the tool tip text for this editor input.
`int` | `hashCode()`
`void` | `saveState(IMemento memento)` Saves the state of the object in the given memento.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FileEditorInput

    public FileEditorInput(IFile file)

  Creates an editor input based of the given file resource.

Parameters:
  `file` - the file resource

Method Detail

### hashCode

    public int hashCode()

### equals

    public boolean equals(Object obj)

### exists

    public boolean exists()

  Description copied from interface: `IEditorInput`
  Returns whether the editor input exists.

  This method is primarily used to determine if an editor input should appear in the "File Most Recently Used" menu. An editor input will appear in the list until the return value of `exists` becomes `false` or it drops off the bottom of the list.

  Specified by:
    `exists` in interface `IEditorInput`
  Returns:
    `true` if the editor input exists; `false` otherwise

### getAdapter

    public Object getAdapter(Class adapter)

  Description copied from interface: `IAdaptable`
  Returns an object which is an instance of the given class associated with this object. Returns `null` if no such object can be found.

  Specified by:
    `getAdapter` in interface `IAdaptable`
  Parameters:
    `adapter` - the adapter class to look up
  Returns:
    a object castable to the given class, or `null` if this object does not have an adapter for the given class

### getFactoryId

    public String getFactoryId()

  Description copied from interface: `IPersistableElement`
  Returns the id of the element factory which should be used to re-create this object.

  Factory ids are declared in extensions to the standard extension point `"org.eclipse.ui.elementFactories"`.

  Specified by:
    `getFactoryId` in interface `IPersistableElement`
  Returns:
    the element factory id
  See Also:
    `IElementFactory`

### getFile

    public IFile getFile()

  Description copied from interface: `IFileEditorInput`
  Returns the file resource underlying this editor input.

  The `IFile` returned can be a handle to a resource that does not exist in the workspace. As such, an editor should provide appropriate feedback to the user instead of simply failing during input validation. For example, a text editor could open in read-only mode with a message in the text area to inform the user that the file does not exist.

  Specified by:
    `getFile` in interface `IFileEditorInput`
  Returns:
    the underlying file

### getImageDescriptor

    public ImageDescriptor getImageDescriptor()

  Description copied from interface: `IEditorInput`
  Returns the image descriptor for this input.

  Specified by:
    `getImageDescriptor` in interface `IEditorInput`
  Returns:
    the image descriptor for this input

### getName

    public String getName()

  Description copied from interface: `IEditorInput`
  Returns the name of this editor input for display purposes.

  For instance, when the input is from a file, the return value would ordinarily be just the file name.

  Specified by:
    `getName` in interface `IEditorInput`
  Returns:
    the name string

### getPersistable

    public IPersistableElement getPersistable()

  Description copied from interface: `IEditorInput`
  Returns an object that can be used to save the state of this editor input.

  Specified by:
    `getPersistable` in interface `IEditorInput`
  Returns:
    the persistable element, or `null` if this editor input cannot be persisted

### getStorage

    public IStorage getStorage()
                        throws CoreException

  Description copied from interface: `IStorageEditorInput`
  Returns the underlying IStorage object.

  Specified by:
    `getStorage` in interface `IStorageEditorInput`
  Returns:
    an IStorage object.
  Throws:
    `CoreException` - if this method fails

### getToolTipText

    public String getToolTipText()

  Description copied from interface: `IEditorInput`
  Returns the tool tip text for this editor input. This text is used to differentiate between two input with the same name. For instance, MyClass.java in folder X and MyClass.java in folder Y. The format of the text varies between input types.

  Specified by:
    `getToolTipText` in interface `IEditorInput`
  Returns:
    the tool tip text

### saveState

    public void saveState(IMemento memento)

  Description copied from interface: `IPersistableElement`
  Saves the state of the object in the given memento.

  Specified by:
    `saveState` in interface `IPersistableElement`
  Parameters:
    `memento` - the storage area for object's state

### getPath

    public IPath getPath()

  Description copied from interface: `IPathEditorInput`
  Returns the local file system path of the file underlying this editor input.

  Specified by:
    `getPath` in interface `IPathEditorInput`
  Returns:
    a local file system path

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.